
zrouter - Bug #37

bsd ports

05/18/2012 12:34 PM - Michael Vale

Status: Closed Start date: 11/02/2012

Priority: Normal Due date: 11/02/2012

Assignee: Michael Vale % Done: 100%

Category: Project Estimated time: 0.00 hour

Target version: PATCHES Spent time: 667.00 hours

Description

fixed bsd ports make building and install

this is my first attempt at any such contribution to any project.

please find the attached patch for share/mk/zrouter.ports.mk.

ALSO - zrouter/ports/www/zhttpd/distinfo was deleted due to an invalid SHA256 sum.

Subtasks:

Feature # 39: PATCH - Working Ports Cross Compile Makefile Closed

History

#1 - 05/18/2012 12:37 PM - Michael Vale

- File zrouter.ports.mk.masked.patch added

#2 - 05/18/2012 12:38 PM - Michael Vale

- File deleted (zrouter.ports.mk.masked.patch)

#3 - 05/20/2012 03:05 AM - Michael Vale

Sorry i forgot to add to the description that zrouter/tools/install.sh must be set to at least u+x or a+x.

#4 - 05/23/2012 03:39 PM - Michael Vale

- File zrouter.ports.mk.patch added

first patch was missing a few things.

#5 - 05/23/2012 03:39 PM - Michael Vale

- File deleted (zrouter.ports.mk.masked.patch)

#6 - 11/02/2012 02:42 AM - Michael Vale

- File zrouter.ports.mk.diff added

you need to have xdev mips installed.

/usr/src# make xdev XDEV=mips XDEV_ARCH=mips.

you also need to add these two lines to bsd.ports.mk (I will submit this to the -current mailing list)

CONFIGURE_HOST?=        ${TARGET_ARCH}-portbld-freebsd${OSREL}

CONFIGURE_HOST:=        ${CONFIGURE_HOST:S/^/--host=/}

between the CONFIGURE_TARGET:=      ${CONFIGURE_TARGET:S/--build=//} and CONFIGURE_LOG lines.

I did make other changes to bsd.ports.mk but i don't believe they are required here.  Let me know if it seems there is something missing.

05/17/2025 1/2



#7 - 11/02/2012 02:43 AM - Michael Vale

- File deleted (zrouter.ports.mk.patch)

#8 - 11/02/2012 09:56 AM - Michael Vale

- File zrouter.ports.mk.diff added

- Target version set to PATCHES

new diff, i forgot to delete one line.

#9 - 11/02/2012 09:57 AM - Michael Vale

- File deleted (zrouter.ports.mk.diff)

#10 - 11/02/2012 09:58 AM - Michael Vale

- File deleted (zrouter.ports.mk.diff)

#11 - 11/02/2012 02:18 PM - Oleksandr Rybalko

- Status changed from New to Closed
